import type { AtomOptions, RecoilValue } from 'recoil';
type BootstrappedAtomOptions<AtomValue, BootstrapData> = Omit<AtomOptions<AtomValue>, 'default'> & {
    initialValue: (bootstrapData: BootstrapData) => AtomValue;
};
export declare function bootstrappedAtom<AtomValue, InitialState>(bootstrapRootAtom: RecoilValue<InitialState>, { initialValue, key, ...options }: BootstrappedAtomOptions<AtomValue, InitialState>): import("recoil").RecoilState<AtomValue>;
export {};
